summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/bitcoincore.eclass39
2 files changed, 29 insertions, 15 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 41b8f2e53722..3ae93c9d5efa 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1708 2015/07/13 00:51:16 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1709 2015/07/14 11:51:39 blueness Exp $
+
+ 14 Jul 2015; Anthony G. Basile <blueness@gentoo.org> bitcoincore.eclass:
+ Update for bitcoind 0.11.0.
13 Jul 2015; Davide Pesavento <pesa@gentoo.org> qt5-build.eclass:
Initial support for Qt 5.5
diff --git a/eclass/bitcoincore.eclass b/eclass/bitcoincore.eclass
index 8a90faf3fcfa..f2098f0ca860 100644
--- a/eclass/bitcoincore.eclass
+++ b/eclass/bitcoincore.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/bitcoincore.eclass,v 1.4 2015/05/27 00:18:02 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/bitcoincore.eclass,v 1.5 2015/07/14 11:51:39 blueness Exp $
#
# @ECLASS: bitcoincore.eclass
# @MAINTAINER:
@@ -76,13 +76,27 @@ case "${PV}" in
0.10*)
BITCOINCORE_SERIES="0.10.x"
LIBSECP256K1_DEPEND="=dev-libs/libsecp256k1-0.0.0_pre20141212"
- BITCOINCORE_RBF_DIFF="16f45600c8c372a738ffef544292864256382601...a23678edc70204599299459a206709a00e039db7"
- BITCOINCORE_RBF_PATCHFILE="${MyPN}-rbf-v0.10.2.patch"
+ case "${PVR}" in
+ 0.10.2)
+ BITCOINCORE_RBF_DIFF="16f45600c8c372a738ffef544292864256382601...a23678edc70204599299459a206709a00e039db7"
+ BITCOINCORE_RBF_PATCHFILE="${MyPN}-rbf-v0.10.2.patch"
+ ;;
+ *)
+ BITCOINCORE_RBF_DIFF="16f45600c8c372a738ffef544292864256382601...4890416cde655559eba09d3fd6f79db7d0d6314a"
+ BITCOINCORE_RBF_PATCHFILE="${MyPN}-rbf-v0.10.2-r1.patch"
+ ;;
+ esac
BITCOINCORE_XT_DIFF="047a89831760ff124740fe9f58411d57ee087078...d4084b62c42c38bfe302d712b98909ab26ecce2f"
;;
+0.11*)
+ BITCOINCORE_SERIES="0.11.x"
+ LIBSECP256K1_DEPEND="=dev-libs/libsecp256k1-0.0.0_pre20150423"
+ BITCOINCORE_RBF_DIFF="5f032c75eefb0fe8ff79ed9595da1112c05f5c4a...660b96d24916b8ef4e0677e5d6162e24e2db447e"
+ BITCOINCORE_RBF_PATCHFILE="${MyPN}-rbf-v0.11.0rc3.patch"
+ ;;
9999*)
BITCOINCORE_SERIES="9999"
- LIBSECP256K1_DEPEND="=dev-libs/libsecp256k1-9999"
+ LIBSECP256K1_DEPEND=">dev-libs/libsecp256k1-0.0.0_pre20150422"
;;
*)
die "Unrecognised version"
@@ -100,7 +114,7 @@ if [ -z "$BITCOINCORE_COMMITHASH" ]; then
EGIT_PROJECT='bitcoin'
EGIT_REPO_URI="git://github.com/bitcoin/bitcoin.git https://github.com/bitcoin/bitcoin.git"
else
- SRC_URI="https://github.com/${MyPN}/${MyPN}/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> ${MyPN}-v${PV}.tgz"
+ SRC_URI="https://github.com/${MyPN}/${MyPN}/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> ${MyPN}-v${PV}${BITCOINCORE_SRC_SUFFIX}.tgz"
if [ -z "${BITCOINCORE_NO_SYSLIBS}" ]; then
SRC_URI="${SRC_URI} http://luke.dashjr.org/programs/${MyPN}/files/${MyPN}d/luke-jr/${BITCOINCORE_SERIES}/$(LJR_PV ljr)/${LJR_PATCHDIR}.txz -> ${LJR_PATCHDIR}.tar.xz"
fi
@@ -177,6 +191,9 @@ bitcoincore_pkg_pretend() {
einfo "Extra functionality improvements to Bitcoin Core are enabled."
bitcoincore_policymsg_flag=true
fi
+ bitcoincore_policymsg cltv \
+ "CLTV policy is enabled: Your node will recognise and assist OP_CHECKLOCKTIMEVERIFY (BIP65) transactions." \
+ "CLTV policy is disabled: Your node will not recognise OP_CHECKLOCKTIMEVERIFY (BIP65) transactions."
bitcoincore_policymsg cpfp \
"CPFP policy is enabled: If you mine, you will give consideration to child transaction fees to pay for their parents." \
"CPFP policy is disabled: If you mine, you will ignore transactions unless they have sufficient fee themselves, even if child transactions offer a fee to cover their cost."
@@ -196,9 +213,7 @@ bitcoincore_prepare() {
if [ -n "${BITCOINCORE_NO_SYSLIBS}" ]; then
true
elif [ "${PV}" = "9999" ]; then
- epatch "${FILESDIR}/0.9.0-sys_leveldb.patch"
- # Temporarily use embedded secp256k1 while API is in flux
- #epatch "${FILESDIR}/${PV}-sys_libsecp256k1.patch"
+ epatch "${FILESDIR}/${PV}-syslibs.patch"
else
epatch "$(LJR_PATCH syslibs)"
fi
@@ -236,11 +251,7 @@ bitcoincore_prepare() {
bitcoincore_autoreconf() {
eautoreconf
rm -r src/leveldb || die
-
- # Temporarily using embedded secp256k1 for 9999 while API is in flux
- if [ "${PV}" != "9999" ]; then
- rm -r src/secp256k1 || die
- fi
+ rm -r src/secp256k1 || die
}
bitcoincore_src_prepare() {
@@ -265,7 +276,7 @@ bitcoincore_conf() {
else
my_econf="${my_econf} --disable-wallet"
fi
- if [ -z "${BITCOINCORE_NO_SYSLIBS}" ] && [ "${PV}" != "9999" ]; then
+ if [ -z "${BITCOINCORE_NO_SYSLIBS}" ]; then
my_econf="${my_econf} --disable-util-cli --disable-util-tx"
else
my_econf="${my_econf} --without-utils"